cgGetTypeSizes(3)

NAME
cgGetTypeSizes - get the row and/or column size of a type enumerant

SYNOPSIS
  #include <Cg/cg.h>

  CGbool cgGetTypeSizes( CGtype type,
                         int * nrows,
                         int * ncols );

PARAMETERS

type
    The type enumerant.

nrows
    The location where the number of rows will be written.

ncols
    The location where the number of columns will be written.

RETURN VALUES
Returns CG_TRUE if the type enumerant is for a matrix.

Returns CG_FALSE otherwise.

DESCRIPTION
cgGetTypeSizes returns the number of rows and columns for enumerant type in the locations specified by nrows and ncols respectively.

When the type enumerant is not a matrix type then 1 is returned in nrows, in contrast to cgGetMatrixSize where the number of rows and columns will be 0 if the type enumerant is not a matrix.

For a numeric types, ncols will be the vector length for vectors and 1 for scalars. For non-numeric types, ncols will be 0.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgGetTypeSizes was introduced in Cg 1.5.

SEE ALSO
cgGetArrayTotalSize, cgGetArrayDimension, cgGetArrayParameter, cgGetMatrixSize